import _extends from "@babel/runtime/helpers/esm/extends";
import { useRef } from 'react';
import PropTypes from 'prop-types';
import { CHECKBOX_SIZES, CHECKBOX_STATUS, className, pressedValue } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";

var CheckboxIcon = function CheckboxIcon(_ref) {
  var disabled = _ref.disabled,
      size = _ref.size,
      status = _ref.status,
      onClick = _ref.onClick,
      SVGIcon = _ref.icon,
      checked = _ref.checked,
      indeterminate = _ref.indeterminate;
  var buttonRef = useRef();
  if (!SVGIcon) return null;
  return /*#__PURE__*/_jsx("button", _extends({
    ref: buttonRef,
    className: className({
      size: size,
      checked: checked,
      disabled: disabled,
      indeterminate: indeterminate
    }),
    disabled: disabled
  }, Object.values(CHECKBOX_STATUS).includes(status) && {
    'data-status': status
  }, {
    "aria-pressed": pressedValue({
      checked: checked,
      indeterminate: indeterminate
    }),
    type: "button",
    onClick: onClick(buttonRef),
    children: /*#__PURE__*/_jsx(SVGIcon, {
      size: size
    })
  }));
};

CheckboxIcon.displayName = 'CheckboxIcon';
export default CheckboxIcon;